Package org.bukkit.inventory

# Interface GrindstoneInventory

All Superinterfaces:
  `Inventory`, `Iterable<ItemStack>`

public interface GrindstoneInventory extends Inventory
Interface to the inventory of a Grindstone.

## Method Summary

Modifier and Type
Method
Description
`default @Nullable ItemStack`
`getLowerItem()`
Gets the lower input item.
`default @Nullable ItemStack`
`getResult()`
Gets the result.
`default @Nullable ItemStack`
`getUpperItem()`
Gets the upper input item.
`default void`
`setLowerItem(@Nullable ItemStack lowerItem)`
Sets the lower input item.
`default void`
`setResult(@Nullable ItemStack result)`
Sets the result.
`default void`
`setUpperItem(@Nullable ItemStack upperItem)`
Sets the upper input item.

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getUpperItem

@Nullable default @Nullable ItemStack getUpperItem()
Gets the upper input item.

Returns:
  upper input item

### setUpperItem

default void setUpperItem(@Nullable @Nullable ItemStack upperItem)
Sets the upper input item.

Parameters:
  `upperItem` - item to set

### getLowerItem

@Nullable default @Nullable ItemStack getLowerItem()
Gets the lower input item.

Returns:
  lower input item

### setLowerItem

default void setLowerItem(@Nullable @Nullable ItemStack lowerItem)
Sets the lower input item.

Parameters:
  `lowerItem` - item to set

### getResult

@Nullable default @Nullable ItemStack getResult()
Gets the result.

Returns:
  result

### setResult

default void setResult(@Nullable @Nullable ItemStack result)
Sets the result.

Parameters:
  `result` - item to set